Bug 1269229 - Puppet classes from Host Group are not populated when creating a new Host
Puppet classes from Host Group are not populated when creating a new Host
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
Unspecified
x86_64 Linux
unspecified Severity medium (vote)
: 6.1.3
: --
Assigned To: Chris Peters
Og Maciel
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 14:10 EDT by Og Maciel
Modified: 2017-02-23 14:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 14:49:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2015-10-06 14:10:53 EDT
Description of problem:

Noticed that when I tried to create a new Host and selected my Host Group (which contains information about which puppet class to include), the puppet class section was not automatically populated with the puppet class I had selected for my Host Group:

# hammer -u "${ADMIN_USER}" -p "${ADMIN_PASSWORD}" hostgroup info --id=1
Id:                     1
Name:                   RHEL 6 Server 64-bit HG
Title:                  RHEL 6 Server 64-bit HG
Operating System:       RHEL Server 6.7
Environment:            KT_Default_Organization_DEV_rhel_6_server_x86_64_cv_4
Model:
Subnet:                 libvirt_subnet
Domain:                 idmqe.lab.eng.bos.redhat.com
Architecture:           x86_64
Partition Table:        Kickstart default
Medium:                 Default_Organization/Library/Red_Hat_Server/Red_Hat_Enterprise_Linux_6_Server_Kickstart_x86_64_6_7
Puppet CA Proxy Id:     1
Puppet Master Proxy Id: 1
ComputeProfile:         1-Small
Puppetclasses:
    access_insights_client
Parameters:
    kt_activation_keys => ak-rhel-6-server-x86_64-cv
Locations:
    Default Location
Organizations:
    Default Organization
Parent Id:

Version-Release number of selected component (if applicable):

* Satellite-6.1.0-RHEL-6-20151005.1 compose

How reproducible:


Steps to Reproduce:
1. Create a Host Group and add the "access_insights_client" puppet class to it
2. Create a new Host and use the Host Group created above
3.

Actual results:

"access_insights_client" is not automatically added to the new Host form

Expected results:

"access_insights_client" should be automatically added to the new Host form

Additional info:
Comment 5 Og Maciel 2015-10-13 11:04:08 EDT
This has been VERIFIED with the Satellite-6.1.0-RHEL-7-20151012.0 compose.
Comment 6 Bryan Kearney 2015-10-15 14:49:09 EDT
This bug was fixed with Satellite 6.1.3 which was released on 15 October, 2015. The errata for this release are

 https://access.redhat.com/errata/RHBA-2015:1910
 https://access.redhat.com/errata/RHBA-2015:1911

Note You need to log in before you can comment on or make changes to this bug.